## GimpColorScale GimpColorScale — Fancy colored sliders. |

## Functions

GtkWidget * | gimp_color_scale_new ()
void | gimp_color_scale_set_channel ()
void | gimp_color_scale_set_color ()
void | gimp_color_scale_set_color_config ()

## Properties

GimpColorSelectorChannel | channel | Read / Write / Construct

## Types and Values

| GimpColorScale

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkRange
                        ╰── GtkScale
                            ╰── GimpColorScale

## Implemented Interfaces

GimpColorScale implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

Fancy colored sliders.

## Functions

### gimp_color_scale_new ()

    GtkWidget *
    gimp_color_scale_new (GtkOrientation orientation,
                          GimpColorSelectorChannel channel);

Creates a new GimpColorScale widget.

#### Parameters

orientation | the scale's orientation (horizontal or vertical) |
channel | the scale's color channel |

#### Returns

a new GimpColorScale widget

### gimp_color_scale_set_channel ()

    void
    gimp_color_scale_set_channel (GimpColorScale *scale,
                                  GimpColorSelectorChannel channel);

Changes the color channel displayed by the `scale` .

#### Parameters

scale | a GimpColorScale widget |
channel | the new color channel |

### gimp_color_scale_set_color ()

    void
    gimp_color_scale_set_color (GimpColorScale *scale,
                                const GimpRGB *rgb,
                                const GimpHSV *hsv);

Changes the color value of the `scale` .

#### Parameters

scale | a GimpColorScale widget |
rgb | the new color as GimpRGB |
hsv | the new color as GimpHSV |

### gimp_color_scale_set_color_config ()

    void
    gimp_color_scale_set_color_config (GimpColorScale *scale,
                                       GimpColorConfig *config);

Sets the color management configuration to use with this color scale.

#### Parameters

scale | a GimpColorScale widget. |
config | a GimpColorConfig object. |

Since: 2.10

## Types and Values

### GimpColorScale

    typedef struct _GimpColorScale GimpColorScale;

## Property Details

### The `“channel”` property

      “channel”                  GimpColorSelectorChannel

The channel which is edited by the color scale.

Owner: GimpColorScale

Flags: Read / Write / Construct

Default value: GIMP_COLOR_SELECTOR_VALUE

Since: 2.8